@import url('https://fonts.googleapis.com/css?family=Source+Code+Pro');

.swal2-container {
    font-family: RalewayMedium;
}

/*La barre de gauche*/

.leftNavigation{
	background: #332f3e;
	position: fixed;
	height: 100vh;
	z-index: 9999;
	transition: all .5s;
	width: 330px;
	  -webkit-touch-callout: none; 
    -webkit-user-select: none; 
     -khtml-user-select: none; 
       -moz-user-select: none; 
        -ms-user-select: none; 
            user-select: none; 
    box-shadow: 3px 0px 20px #00000060;
}
.leftNavigation .logo{
	text-align: center;
	padding: 25px;
	margin-top: 20px;
}
.leftNavigation .logo img{
	width: 80%;
}
.leftNavigation > * {
	transition: all .7s;
}
nav{
   	font-size: 13pt;
    margin-top: 50px;
   	vertical-align: middle;
    background: linear-gradient(to right, #7550d7, #8f71de);
}
nav > ul > li{
   	font-size: 13pt;
    background: transparent;
    transition: all .3s;
    background: #332f3e;
}
nav ul li:hover{
    background: transparent;
    transition: background ease .3s;
}
nav ul li:hover a i{
    color: #fff;
}
nav ul li a{
    padding: 20px;
    margin: 30px 0;
}
nav > ul > li > a{
    font-family: "nunitoregular", sans-serif;
    color: #ecf0f1;
    text-decoration: none;
   	font-size: 13pt;
}
nav > ul > li > a img, nav > ul > li > a p{
	display: inline-block;
	vertical-align: middle;
    padding: 15px 0;
}
nav > ul > li > a img, nav > ul > li > a > i{
    margin-right: 10px;
    color: #95a5a6;
    width: 20px;
    text-align: center;
}
.submenu{
	transition: all .3s;
    position: relative;
    background: #332f3e;
}
.submenu > li > a{
    font-family: "nunitoregular", sans-serif;
    color: #95a5a6;
    text-decoration: none;
   	font-size: 13pt;
    transition: all .3s;
}
.submenu > li{
    padding: 15px 20px;
}
.submenu > li > a:hover{
    color: #fff;
}


/*Le main container*/


.main-container{
	max-width: 100%;
    margin-left: 330px;
    overflow: hidden;
}

/*La page d'acccueil*/

.header-main{
	width: 100%;
	height: 100vh;
	background: url(../img/background-v3.png);
	background-position: right;
	background-repeat: no-repeat;
	background-size: cover;
}
.position-header{
	position: absolute;
	bottom: 0;
	margin-left: 10vw;
	margin-bottom: 20vh;

}
.position-header h1{
	color: #7550d7;
	text-transform: uppercase;
	font-family: "ralewaymedium", sans-serif;
	font-size: 60pt;
	letter-spacing: 0.1em;
}
.position-header h2{
	color: #39ceab;
	letter-spacing: 0.05em;
	font-family: "ralewayregular", sans-serif;
	font-size: 37pt;
	margin-top: 10px;
}
.left-position-header, .right-position-header{
	display: inline-block;
	vertical-align: middle;
}
.right-position-header img{
	width: 100px;
	margin-left: 50px;
}
.button-header{
	margin-top: 50px;
}
.right-button-header, .left-button-header{
	display: inline-block;
	vertical-align: middle;
}
.right-button-header{
	margin-right: 30px;
}
.left-button-header a button, .button-feed-container a button{
	padding: 20px 40px;
	font-family: "nunitoregular", sans-serif;
	border: none;
	-webkit-box-shadow: 0px 0px 121px -4px rgba(0,0,0,0.20);
	-moz-box-shadow: 0px 0px 121px -4px rgba(0,0,0,0.20);
	box-shadow: 0px 0px 121px -4px rgba(0,0,0,0.20);
	font-size: 15pt;
	border-radius: 40px;
	background: linear-gradient(to right, #06dfe3, #00ef89);
	color: #fff;
	cursor: pointer;
	transition: all .3s;
}
.left-button-header a button:hover, .button-feed-container a button:hover{
	-webkit-box-shadow: 0px 0px 100px -4px rgba(0,0,0,0.35);
	-moz-box-shadow: 0px 0px 100px -4px rgba(0,0,0,0.35);
	box-shadow: 0px 0px 100px -4px rgba(0,0,0,0.35);	
}
.left-button-header a button:active, .button-feed-container a button:active{
	transform: scale(.8);
}
.button-feed-container a button{
	margin: 30px 0;
}
.home-feed{
	width: 88%;
	margin: 50px auto;
}
.title-feed{
	font-family: "ralewayregular", sans-serif;
	font-size: 33px;
	letter-spacing: 0.05em;
	font-size: 40pt;
	color: #bdc3c7;
	margin: 50px 0;
}

.mapContainer{
	width: 50vw;
	margin: 80px auto;
}
















.header-connexe{
    background: url(../img/header_reborn.png);
    background-size: cover;
    background-position-x: center;
    background-position-y: -32px;
    filter: drop-shadow(0px 7px 8px #00000030);
    height: 222px;
    background-repeat: no-repeat;
    text-align: center;
    display: flex;
    justify-content: center;
}
.header-connexe h1{
    font-family: "ralewayregular", sans-serif;
    font-size: 35pt;
    color: #fff;
    margin-top: 70px;
    padding: 0px 20px;
}


/* AXE
.background-grey{
    background: #F7FAFC;
    padding: 100px;
    margin: 30px 0;
    margin-bottom: 0;   
}
.container-axe{
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    box-shadow: 5px 10px 30px rgba(0,0,0,.1);
    width: 900px;
    margin: 0 auto;
}
.axe{
    background: #fff;
    padding: 30px;
    flex-grow: 1;
    flex-basis: 0;
    align-self: flex-start;
}
.axe:nth-of-type(1){
    border-radius: 5px 0 0 5px;
}
.axe:nth-of-type(3){
    border-radius: 0 5px 5px 0;
}
.axe:nth-of-type(2){
    border-right: 1px solid rgba(0,0,0,.09);
    border-left: 1px solid rgba(0,0,0,.09);
}
.axe p{
    font-family: "nunitoregular", sans-serif;
    font-size: 11pt;
    line-height: 1.3em;
}
.title-axe{
    text-align: center;
    margin-bottom: 30px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;

}
.title-axe p{
    font-size: 12pt;
    padding: 15px 10px;
    font-family: "ralewayregular";
    font-weight: bold;
    flex-basis: 1;
}
.title-axe .side-tiret, .title-axe p, .title-axe .side-tiret{
    display: inline-block;
    vertical-align: middle;
}
.text-container-axe{
    height: 100px;
}
.side-tiret{
    width: 20px;
    height: 3px;
}
.element-blue .side-tiret{
    background: #0D9EFF;
}
.element-red .side-tiret{
    background: #FF2165;
}
.element-yellow .side-tiret{
    background: #FFD137;
}
.axe .icon{
    padding: 15px;
    width: 50px;
    text-align: center;
    margin: 0 auto 20px auto;
    border-radius: 100%;
}
.axe .icon img{
    width: 90%;
}
.connexe-title{
    margin-top: 30px;
    margin-left: 5vw;
}
.icon.element-blue{
    border: 1px solid #0D9EFF;
}
.icon.element-red{
    border: 1px solid #FF2165;
}
.icon.element-yellow{
    border: 1px solid #FFD137;
}

.content-presentation{
    margin: 100px;
    display: flex;
    font-family: "nunitoregular";
    line-height: 1.5em;
    justify-content: center;
    align-items: center;
    font-size: 17px;
}
.large-presentation-text{
    margin: 50px auto;
    font-family: "nunitoregular";
    line-height: 1.5em;
    width: 80%;
    font-size: 17px;
}
.content-presentation p{
    flex-basis: 1;
    width: 40%;
    /*text-align: justify;
}
.content-presentation img{
    width: 40%;
}
.content-presentation p:nth-of-type(1){
    padding: 0 50px;
}
.important-purple{
    color:#7550d7;
    font-weight: bold;
}
.important-green{
    color:#35e3ae;
    font-weight: bold;
} */





/* Page debouches */
.content-debouches{
    font-family: "nunitoregular", sans-serif;
    line-height: 1.5em;
}
.content-debouches p{
    padding: 5px 0;
}
.img-debouches{
    width: 500px;
    text-align: center;
}
.img-debouches img{
    width: 80%;
}
.feed{
    display: flex;
    margin: 100px 0;
    align-items: center;
}
.content-debouches{
    width: 500px;
    margin-left: 30px;
}
.content-debouches p::before{
    content: "• ";
    color: #7550d7;
}






/* Poursuite d'études */

.poursuite-etudes{
    font-family: "nunitoregular", sans-serif;
    line-height: 1.5em;
}
.poursuite-etudes p:first-child{
    margin: 10px 0;
}
.center-poursuite{
    text-align: center;
}
.poursuite-etudes ul li{
    list-style: none;
    margin: 0 20px;
    padding: 10px;
}
.poursuite-etudes ul li:before{
    content: "•";
    color: #7550d7;
    margin-right: 20px;
}











/* Laptops */
@media screen and (max-width: 1400px){
    .leftNavigation nav > ul > li > a{
        font-size: 11pt;
    }
    .submenu > li > a{
        font-size: 11pt;
    }
    .position-header {
        position: absolute;
        bottom: 0;
        margin-left: 50px;
        margin-bottom: 50px;
    }
    .container-axe{
        width: auto;
    }
    .mapContainer{
        width: 60vw;
    }
}












/* General Tablets Responsive Design Here*/
@media screen and (max-width: 1000px){
    .header-connexe h1{
        font-size: 30pt;
    }
    .leftNavigation .logo{
        display: none;
    }
    .leftNavigation{
        width: 10vw;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .leftNavigation nav{
        margin: 0;
        width: 100%;
    }
    .leftNavigation nav ul li p{
        display: none;
    }
    .leftNavigation nav > ul > li{
        padding: 30px 0px 30px 0px;
        margin: 0;
        text-align: center;
        position: relative;
    }
    .leftNavigation nav ul li a{
        padding: 0;
    }
    .leftNavigation nav ul li a i{
        font-size: 20px;
        padding: 0;
        margin: 0;
        width: auto;
        text-align: center;
    }
    .submenu{
        display: flex;
        width: 200px;
        align-items: center;
        flex-wrap: wrap;
        position: absolute;
        z-index: 99999;
        left: 10vw;
        background: #3b3648;
        top: 0;
        border-radius: 0 5px 5px 0;
    }
    .submenu > ul > li{
        background: #3b3648;
    }
    .main-container{
        width: auto;
        margin-left: 10vw;
        overflow: hidden;
    }
    .right-position-header{
        display: none;
    }
    .position-header h1 {
        color: #7550d7;
        text-transform: uppercase;
        font-family: "ralewaymedium", sans-serif;
        font-size: 50pt;
        letter-spacing: 0.1em;
    }
    .position-header h2 {
        color: #39ceab;
        letter-spacing: 0.05em;
        font-family: "ralewayregular", sans-serif;
        font-size: 30pt;
        margin-top: 10px;
    }
    .mapContainer{
        width: 73vw;
    }
    .container-axe{
        width: 90%;
        height: 370px;
    }
    .axe{
        height: 310px;
    }
    .background-grey{
        margin-bottom: 0;
        padding: 30px 0;
    }
    .carousel-header{
        font-size: 30px;
    }
    .connexe-title{
        font-size: 30px;
    }
    .vignette{
        padding: 0;
        margin: 0;
        flex-wrap: wrap;
    }
    .vignette img{
        width: 70%;
    }
    .vignette p{
        font-size: 12pt;
    }
    .header-connexe{
        width: 100%;
    }
}


/*Smartphone design*/
@media screen and (max-width: 500px){
    .leftNavigation{
        width: 100vw;
        height: 20px;
        display: flex;
        padding: 0;
        align-items: center;
    }
    .leftNagivation nav {
        display: flex;
        align-items: center;
        padding: 0;
    }
    .leftNavigation nav > ul{
        display: flex;
        width: 100%;
        justify-content: space-around;
        align-items: center;
    }
    .leftNavigation nav > ul > li {
        flex: 0 0 14.3vw;
    }
    .leftNavigation nav > ul > li > .submenu{
        bottom: -150px;
        border-radius: 0;
        right: 0;
        left: -100px;
        border-radius: 0 0 5px 5px;
        top: 80px;
    }
    .main-container{
        width: auto;
        margin: 20px 0 0 0;
        overflow: hidden;
    }
    .position-header{
        position: relative;
        width: 100vw;
        margin: 0;
        text-align: center;
    }
    .left-position-header{
        background: rgba(255,255,255,.7);
        padding: 20px;
        border-radius: 10px;
    }
    .left-position-header h1{
        font-size: 40px;
    }
    .left-position-header h2{
        font-size: 30px;
    }
    .header-main{
        display: flex;
        align-items: center;
    }
    .right-button-header{
        display: none;
    }
    .feed{
        flex-wrap: wrap;
    }
    .content-debouches{
        margin-top: 20px;
    }
    .content-presentation{
        flex-wrap: wrap;
        margin: 50px;
    }
    .content-presentation img, .content-presentation p{
        width: 100%;
        padding: 0;
    }
    .content-presentation p{
        margin-top: 20px;
    }
    .background-grey{
        padding: 40px 0;
    }
    
    .axe:nth-of-type(2){
        border: none;
        border-top: 1px solid rgba(0,0,0,.09);
        border-bottom: 1px solid rgba(0,0,0,.09);
    }
    .mapContainer{
        width: 95vw;
    }
}